#!/usr/bin/env bash
set -e;

DOCKER_EXEC="${DOCKER_EXEC:-docker}";
IMAGE="${1:-d.xr.to/base}";
MAINTAINER="${2:-=@eater.me}";
DATEPREFIX="$(date +"%Y%m%d")"
build_dir="$(dirname "$0")/build"
test -d "${build_dir}" && rm -rf  "${build_dir}";

for toolbox in "none" "toybox" "busybox" "default"; do
    make IMAGE="${IMAGE}:${DATEPREFIX}-${toolbox}" TOOLBOX="${toolbox}" DOCKER_EXEC="${DOCKER_EXEC}" all > "${toolbox}.log";
    $DOCKER_EXEC tag "${IMAGE}:${DATEPREFIX}-${toolbox}" "${IMAGE}:${toolbox}";
done
make IMAGE="${IMAGE}:${DATEPREFIX}-glibc" TOOLBOX="toybox" ARCH="x86_64" DOCKER_EXEC="${DOCKER_EXEC}" all > "glibc.log";
$DOCKER_EXEC tag "${IMAGE}:${DATEPREFIX}-glibc" "${IMAGE}:glibc";


$DOCKER_EXEC tag "${IMAGE}:${DATEPREFIX}-toybox" "${IMAGE}:${DATEPREFIX}";
$DOCKER_EXEC tag "${IMAGE}:${DATEPREFIX}-toybox" "${IMAGE}:latest";
